## GeditWindow

GeditWindow

## Synopsis

    enum                GeditWindowState;
                        GeditWindowPrivate;
                        GeditWindow;
    GeditTab*           gedit_window_create_tab             (GeditWindow *window,
                                                             gboolean jump_to);
    GeditTab*           gedit_window_create_tab_from_uri    (GeditWindow *window,
                                                             const gchar *uri,
                                                             const GeditEncoding *encoding,
                                                             gint line_pos,
                                                             gboolean create,
                                                             gboolean jump_to);
    void                gedit_window_close_tab              (GeditWindow *window,
                                                             GeditTab *tab);
    void                gedit_window_close_all_tabs         (GeditWindow *window);
    void                gedit_window_close_tabs             (GeditWindow *window,
                                                             const GList *tabs);
    GeditTab*           gedit_window_get_active_tab         (GeditWindow *window);
    void                gedit_window_set_active_tab         (GeditWindow *window,
                                                             GeditTab *tab);
    GeditView*          gedit_window_get_active_view        (GeditWindow *window);
    GeditDocument*      gedit_window_get_active_document    (GeditWindow *window);
    GList*              gedit_window_get_documents          (GeditWindow *window);
    GList*              gedit_window_get_unsaved_documents  (GeditWindow *window);
    GList*              gedit_window_get_views              (GeditWindow *window);
    GtkWindowGroup*     gedit_window_get_group              (GeditWindow *window);
    GeditPanel*         gedit_window_get_side_panel         (GeditWindow *window);
    GeditPanel*         gedit_window_get_bottom_panel       (GeditWindow *window);
    GtkWidget*          gedit_window_get_statusbar          (GeditWindow *window);
    GtkUIManager*       gedit_window_get_ui_manager         (GeditWindow *window);
    GeditWindowState    gedit_window_get_state              (GeditWindow *window);
    GeditTab*           gedit_window_get_tab_from_uri       (GeditWindow *window,
                                                             const gchar *uri);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GeditWindow

## Implemented Interfaces

GeditWindow implements AtkImplementorIface and GtkBuildable.

## Properties

      "state"                    GeditWindowState      : Read

## Signals

      "active-tab-changed"                             : Run First
      "active-tab-state-changed"                       : Run First
      "tab-added"                                      : Run First
      "tab-removed"                                    : Run First
      "tabs-reordered"                                 : Run First

## Description

## Details

### enum GeditWindowState

    typedef enum
    {
    	GEDIT_WINDOW_STATE_NORMAL		= 0,
    	GEDIT_WINDOW_STATE_SAVING		= 1 << 1,
    	GEDIT_WINDOW_STATE_PRINTING		= 1 << 2,
    	GEDIT_WINDOW_STATE_LOADING		= 1 << 3,
    	GEDIT_WINDOW_STATE_ERROR		= 1 << 4,
    	GEDIT_WINDOW_STATE_SAVING_SESSION	= 1 << 5
    } GeditWindowState;

### GeditWindowPrivate

    typedef struct _GeditWindowPrivate GeditWindowPrivate;

### GeditWindow

    typedef struct _GeditWindow GeditWindow;

### gedit_window_create_tab ()

    GeditTab*           gedit_window_create_tab             (GeditWindow *window,
                                                             gboolean jump_to);

`window` : |
`jump_to` : |
Returns : |

### gedit_window_create_tab_from_uri ()

    GeditTab*           gedit_window_create_tab_from_uri    (GeditWindow *window,
                                                             const gchar *uri,
                                                             const GeditEncoding *encoding,
                                                             gint line_pos,
                                                             gboolean create,
                                                             gboolean jump_to);

`window` : |
`uri` : |
`encoding` : |
`line_pos` : |
`create` : |
`jump_to` : |
Returns : |

### gedit_window_close_tab ()

    void                gedit_window_close_tab              (GeditWindow *window,
                                                             GeditTab *tab);

`window` : |
`tab` : |

### gedit_window_close_all_tabs ()

    void                gedit_window_close_all_tabs         (GeditWindow *window);

`window` : |

### gedit_window_close_tabs ()

    void                gedit_window_close_tabs             (GeditWindow *window,
                                                             const GList *tabs);

`window` : |
`tabs` : |

### gedit_window_get_active_tab ()

    GeditTab*           gedit_window_get_active_tab         (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_set_active_tab ()

    void                gedit_window_set_active_tab         (GeditWindow *window,
                                                             GeditTab *tab);

`window` : |
`tab` : |

### gedit_window_get_active_view ()

    GeditView*          gedit_window_get_active_view        (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_active_document ()

    GeditDocument*      gedit_window_get_active_document    (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_documents ()

    GList*              gedit_window_get_documents          (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_unsaved_documents ()

    GList*              gedit_window_get_unsaved_documents  (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_views ()

    GList*              gedit_window_get_views              (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_group ()

    GtkWindowGroup*     gedit_window_get_group              (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_side_panel ()

    GeditPanel*         gedit_window_get_side_panel         (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_bottom_panel ()

    GeditPanel*         gedit_window_get_bottom_panel       (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_statusbar ()

    GtkWidget*          gedit_window_get_statusbar          (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_ui_manager ()

    GtkUIManager*       gedit_window_get_ui_manager         (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_state ()

    GeditWindowState    gedit_window_get_state              (GeditWindow *window);

`window` : |
Returns : |

### gedit_window_get_tab_from_uri ()

    GeditTab*           gedit_window_get_tab_from_uri       (GeditWindow *window,
                                                             const gchar *uri);

`window` : |
`uri` : |
Returns : |

## Property Details

### The "`state`" property

      "state"                    GeditWindowState      : Read

The window's state.

## Signal Details

### The "active-tab-changed" signal

    void                user_function                      (GeditWindow *geditwindow,
                                                            GeditTab    *arg1,
                                                            gpointer     user_data)        : Run First

`geditwindow` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "active-tab-state-changed" signal

    void                user_function                      (GeditWindow *geditwindow,
                                                            gpointer     user_data)        : Run First

`geditwindow` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "tab-added" signal

    void                user_function                      (GeditWindow *geditwindow,
                                                            GeditTab    *arg1,
                                                            gpointer     user_data)        : Run First

`geditwindow` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "tab-removed" signal

    void                user_function                      (GeditWindow *geditwindow,
                                                            GeditTab    *arg1,
                                                            gpointer     user_data)        : Run First

`geditwindow` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "tabs-reordered" signal

    void                user_function                      (GeditWindow *geditwindow,
                                                            gpointer     user_data)        : Run First

`geditwindow` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.